class GetDischargeSummaryReqModel {
  int? patientID;
  int? admissionNo;
  int? patientType;
  int? patientTypeID;
  int? clinicId;
  int? doctorId;

  GetDischargeSummaryReqModel(
      {this.patientID,
      this.admissionNo,
      this.patientType = 1,
      this.clinicId = null,
      this.doctorId = null,
      this.patientTypeID = 1});

  GetDischargeSummaryReqModel.fromJson(Map<String, dynamic> json) {
    patientID = json['PatientID'];
    admissionNo = json['AdmissionNo'];
    patientType = json['PatientType'];
    patientTypeID = json['PatientTypeID'];
    clinicId = json['ClinicID'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    print("the clinic id is $clinicId");
    print("the doctorId id is $doctorId");
    data['PatientID'] = this.patientID;
    data['PatientMRN'] = this.patientID;
    data['AdmissionNo'] = this.admissionNo;
    data['PatientType'] = this.patientType;
    data['PatientTypeID'] = this.patientTypeID;
    data['ClinicID'] = this.clinicId;
    data['DoctorID'] = this.doctorId;

    data['isDentalAllowedBackend'] = false;
    return data;
  }
}
